## ros-crystal-sros2-cmake 0.6.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
project(sros2_cmake)
set(VERSION "1.0.0")

include(CMakePackageConfigHelpers)
set(LIB_INSTALL_DIR lib/)
set(INCLUDE_INSTALL_DIR include/)
set(SYSCONFIG_INSTALL_DIR share/${PROJECT_NAME})

# ament_cmake_test provides BUILD_TESTING definition
find_package(ament_cmake_test REQUIRED)
if(BUILD_TESTING)
  find_package(ament_cmake_lint_cmake REQUIRED)
  ament_lint_cmake()
endif()

configure_package_config_file(sros2_cmakeConfig.cmake.in
  ${CMAKE_CURRENT_BINARY_DIR}/sros2_cmakeConfig.cmake
  INSTALL_DESTINATION ${LIB_INSTALL_DIR}/sros2_cmake/cmake
  PATH_VARS INCLUDE_INSTALL_DIR SYSCONFIG_INSTALL_DIR
)

write_basic_package_version_file(
  ${CMAKE_CURRENT_BINARY_DIR}/sros2_cmakeConfigVersion.cmake
  VERSION ${VERSION}
  COMPATIBILITY SameMajorVersion
)

install(FILES ${PROJECT_BINARY_DIR}/${PROJECT_NAME}Config.cmake DESTINATION share/${PROJECT_NAME}/cmake)
install(FILES ${PROJECT_BINARY_DIR}/${PROJECT_NAME}ConfigVersion.cmake DESTINATION share/${PROJECT_NAME}/cmake)
install(FILES cmake/ros2_secure_node.cmake DESTINATION share/${PROJECT_NAME}/cmake)
install(FILES cmake/ros2_create_keystore.cmake DESTINATION share/${PROJECT_NAME}/cmake)

=== debian/changelog ===
ros-crystal-sros2-cmake (0.6.3-0bionic) bionic; urgency=high

  * linter invocation fixup (#97 <https://github.com/ros2/sros2/issues/97>)
  * command needs to be a list and not a string (#96 <https://github.com/ros2/sros2/issues/96>) (#98 <https://github.com/ros2/sros2/issues/98>)
  * [crystal-backport] Backport XML and XSLT functionality (#93 <https://github.com/ros2/sros2/issues/93>)
  * Contributors: Mikael Arguedas, Jacob Perron, Ross Desmond, Ruffin White

 -- AWS B9 Team <aws-b9-platform@amazon.com>  Tue, 12 Mar 2019 05:00:00 -0000

ros-crystal-sros2-cmake (0.6.2-0bionic) bionic; urgency=high

  * Create package for sros2 cmake macros. (#75 <https://github.com/ros2/sros2/issues/75>)
  * Contributors: Ross Desmond

 -- AWS B9 Team <aws-b9-platform@amazon.com>  Fri, 08 Feb 2019 06:00:00 -0000

ros-crystal-sros2-cmake (0.6.1-0bionic) bionic; urgency=high



 -- AWS B9 Team <aws-b9-platform@amazon.com>  Tue, 15 Jan 2019 06:00:00 -0000

ros-crystal-sros2-cmake (0.6.0-0bionic) bionic; urgency=high



 -- AWS B9 Team <aws-b9-platform@amazon.com>  Fri, 07 Dec 2018 06:00:00 -0000

ros-crystal-sros2-cmake (0.5.0-0bionic) bionic; urgency=high



 -- AWS B9 Team <aws-b9-platform@amazon.com>  Wed, 27 Jun 2018 05:00:00 -0000

ros-crystal-sros2-cmake (0.4.0-0bionic) bionic; urgency=high



 -- AWS B9 Team <aws-b9-platform@amazon.com>  Fri, 08 Dec 2017 06:00:00 -0000

=== debian/control ===
Source: ros-crystal-sros2-cmake
Section: misc
Priority: extra
Maintainer: AWS B9 Team <aws-b9-platform@amazon.com>
Build-Depends: debhelper (>= 9.0.0), cmake, ros-crystal-ament-cmake-lint-cmake, ros-crystal-ament-cmake-test, ros-crystal-ros2cli, ros-crystal-sros2, ros-crystal-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-crystal-sros2-cmake
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-crystal-ros2cli, ros-crystal-sros2, ros-crystal-ros-workspace
Description: Cmake macros to configure security for nodes

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/crystal/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX="/opt/ros/crystal"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-crystal-sros2-cmake//opt/ros/crystal/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_install
